
<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-font-lg ion-no-padding">Pedidos</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">

    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">{{ tiendaService.model?.name }}</h2>
                    <div class="ion-flex ion-flex-wrap">
                        <ion-text color="medium" class="ion-font-sm">
                          <span>Envio {{ tiendaService.model?.delivery }}&nbsp;</span>
                          <span>&#8226; Minimo ${{ tiendaService.model?.minPrice }}</span>
                        </ion-text>
                    </div>
                </ion-label>
                <ion-icon name="fast-food-outline" color="medium" slot="end"></ion-icon>
            </ion-item>
        </ion-col>
    </ion-row>

    <div class="app-divider"></div>

    <ion-row>
        <ion-col>
            <ion-list class="ion-no-padding">
                <ion-list-header style="margin-bottom: 8px;">
                    <ion-label color="medium">
                        <h6 class="ion-font-bold ion-font-md">Pedidos</h6>
                    </ion-label>
                </ion-list-header>
                <ng-container *ngFor="let p of service.pedido.pedidos">
                    <app-pedido-item [name]="p.name" [unit]="p.unit" [price]="p.price" [description]="p.details"
                        (edit)="onAdd(p)" (delete)="service.onDelete(p)">
                    </app-pedido-item>
                </ng-container>
                <ion-item lines="none">
                    <ion-label slot="start" color="medium">
                        <small>Subtotal</small>
                    </ion-label>
                    <ion-note class="ion-font-sm" slot="end" color="medium">
                        {{ service.pedido.subtotal() | currency }}
                    </ion-note>
                </ion-item>
            </ion-list>
        </ion-col>
    </ion-row>

</ion-content>


<ion-footer class="ion-no-border">
    <ion-toolbar>
        <ion-button expand="block" class="ion-margin-horizontal" routerLink="/app/checkout">
            <ion-text class="ion-text-capitalize">
                Seguir
            </ion-text>
        </ion-button>
    </ion-toolbar>
</ion-footer>
